Line Items
List line item values
GET
/
line-item-values
List line item values
curl --request GET \
--url https://mkk.celebi.me/api/line-item-valuesimport requests
url = "https://mkk.celebi.me/api/line-item-values"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://mkk.celebi.me/api/line-item-values', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"line_item_values": [
{
"id": 123,
"document_id": 123,
"disclosure_index": "<string>",
"file_name": "<string>",
"fund_code": "<string>",
"fund_title": "<string>",
"period": "<string>",
"line_item_id": 123,
"line_item_slug": "<string>",
"line_item_name": "<string>",
"sectionId": "<string>",
"sectionName": "<string>",
"canonical_section": "<string>",
"kind": "<string>",
"raw_section": "<string>",
"raw_label": "<string>",
"value": "<string>",
"numeric_value": 123,
"unit": "<string>",
"source": "<string>",
"mapping_method": "<string>",
"mapping_confidence": 123
}
]
}Query Parameters
Filter by fund code.
Filter by fund code.
Filter by report period.
Filter by canonical section slug.
Filter by canonical line item slug.
Text search query.
Raw or canonical label search.
Maximum number of rows to return.
Required range:
1 <= x <= 500Response
200 - application/json
Line item values matching the filters.
Show child attributes
Show child attributes
⌘I
List line item values
